Package it.ernytech.tdlib

## Class TdApi.UpdateNewPreCheckoutQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewPreCheckoutQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewPreCheckoutQuery
    extends TdApi.Update

A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `currency` Currency for the product price.
`long` `id` Unique query identifier.
`byte[]` `invoicePayload` Invoice payload.
`TdApi.OrderInfo` `orderInfo` Information about the order; may be null.
`int` `senderUserId` Identifier of the user who sent the query.
`java.lang.String` `shippingOptionId` Identifier of a shipping option chosen by the user; may be empty if not applicable.
`long` `totalAmount` Total price for the product, in the minimal quantity of the currency.

### Constructor Summary

Constructors
`UpdateNewPreCheckoutQuery()` Default constructor.
`UpdateNewPreCheckoutQuery​(long id, int senderUserId, java.lang.String currency, long totalAmount, byte[] invoicePayload, java.lang.String shippingOptionId, TdApi.OrderInfo orderInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Unique query identifier.

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### currency

    public java.lang.String currency

Currency for the product price.

#### totalAmount

    public long totalAmount

Total price for the product, in the minimal quantity of the currency.

#### invoicePayload

    public byte[] invoicePayload

Invoice payload.

#### shippingOptionId

    public java.lang.String shippingOptionId

Identifier of a shipping option chosen by the user; may be empty if not applicable.

#### orderInfo

    public TdApi.OrderInfo orderInfo

Information about the order; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewPreCheckoutQuery

    public UpdateNewPreCheckoutQuery()

Default constructor.

#### UpdateNewPreCheckoutQuery

    public UpdateNewPreCheckoutQuery​(long id,
                                     int senderUserId,
                                     java.lang.String currency,
                                     long totalAmount,
                                     byte[] invoicePayload,
                                     java.lang.String shippingOptionId,
                                     TdApi.OrderInfo orderInfo)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `currency` - Currency for the product price.
  `totalAmount` - Total price for the product, in the minimal quantity of the currency.
  `invoicePayload` - Invoice payload.
  `shippingOptionId` - Identifier of a shipping option chosen by the user; may be empty if not applicable.
  `orderInfo` - Information about the order; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR